## GstVaapiSink

GstVaapiSink — A VA-API based videosink

## Properties

GstVaapiDisplayType | display | Read / Write
gboolean | force-aspect-ratio | Read / Write
gboolean | fullscreen | Read / Write
GstVaapiRotation | rotation | Read / Write
gboolean | synchronous | Read / Write
gboolean | use-glx | Read / Write
gboolean | use-reflection | Read / Write

## Types and Values

struct | GstVaapiSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstVaapiSink

## Implemented Interfaces

GstVaapiSink implements GstVideoOverlay.

## Description

vaapisink renders video frames to a drawable (X Window) on a local display using the Video Acceleration (VA) API. The element will create its own internal window and render into it.

## Functions

## Types and Values

### struct GstVaapiSink

    struct GstVaapiSink;

## Property Details

### The `“display”` property

      “display”                  GstVaapiDisplayType

display type to use.

Flags: Read / Write

Default value: Auto detection

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, scaling respects video aspect ratio; when disabled, the video is distorted to fit the window.

Flags: Read / Write

Default value: TRUE

### The `“fullscreen”` property

      “fullscreen”               gboolean

Requests window in fullscreen state.

Flags: Read / Write

Default value: FALSE

### The `“rotation”` property

      “rotation”                 GstVaapiRotation

The VA display rotation mode, expressed as a GstVaapiRotation.

Flags: Read / Write

Default value: Unrotated mode

### The `“synchronous”` property

      “synchronous”              gboolean

When enabled, runs the X display in synchronous mode. Note that this is used only for debugging.

Flags: Read / Write

Default value: FALSE

### The `“use-glx”` property

      “use-glx”                  gboolean

Enables OpenGL rendering.

Flags: Read / Write

Default value: FALSE

### The `“use-reflection”` property

      “use-reflection”           gboolean

Enables OpenGL reflection effect.

Flags: Read / Write

Default value: FALSE